[edk2,v4,4/4] Platforms/Juno: remove BdsLib dependency

Message ID 20170405140055.28937-5-ard.biesheuvel@linaro.org
State New
Headers show
Series
  • Juno cleanup -- OpenPlatformPkg edition
Related show

Commit Message

Ard Biesheuvel April 5, 2017, 2 p.m.
ArmJunoDxe no longer depends on BdsLib so we no longer have to specify
a library class resolution for it.

Contributed-under: TianoCore Contribution Agreement 1.0
Signed-off-by: Ard Biesheuvel <ard.biesheuvel@linaro.org>

Reviewed-by: Leif Lindholm <leif.lindholm@linaro.org>

---
 Platforms/ARM/Juno/ArmJuno.dsc | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

-- 
2.9.3

_______________________________________________
edk2-devel mailing list
edk2-devel@lists.01.org
https://lists.01.org/mailman/listinfo/edk2-devel

Patch hide | download patch | download mbox

diff --git a/Platforms/ARM/Juno/ArmJuno.dsc b/Platforms/ARM/Juno/ArmJuno.dsc
index a9524be86dbc..6adb33c76087 100644
--- a/Platforms/ARM/Juno/ArmJuno.dsc
+++ b/Platforms/ARM/Juno/ArmJuno.dsc
@@ -318,10 +318,7 @@ 
   #
   # Juno platform driver
   #
-  ArmPlatformPkg/ArmJunoPkg/Drivers/ArmJunoDxe/ArmJunoDxe.inf {
-    <LibraryClasses>
-      BdsLib|ArmPkg/Library/BdsLib/BdsLib.inf
-  }
+  ArmPlatformPkg/ArmJunoPkg/Drivers/ArmJunoDxe/ArmJunoDxe.inf
 
   #
   # SMBIOS/DMI